/* The switch - the box around the slider */
.switchCookie {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
    margin-top:2px;
}

/* Hide default HTML checkbox */
.switchCookie .selectorCookieConfig {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.sliderCookieSelector {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.sliderCookieSelector:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

.selectorCookieConfig:checked + .sliderCookieSelector {
    background-color: var(--maincolor);
}

.selectorCookieConfig:focus + .sliderCookieSelector {
    box-shadow: 0 0 1px var(--maincolor);
}

.selectorCookieConfig:checked + .sliderCookieSelector:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}

/* Rounded sliders */
.sliderCookieSelector.round {
    border-radius: 34px;
}

.sliderCookieSelector.round:before {
    border-radius: 50%;
}





/*---------------------version gigantesca----------------*/
/* The switch - the box around the slider */
.switchCookieBig {
    position: relative;
    display: inline-block;
    width: 150px;
    height: 50px;
    margin-top: 2px;
}

/* Hide default HTML checkbox */
.switchCookieBig .selectorCookieConfigBig {
    opacity: 0;
    width: 0;
    height: 0;
}

/* The slider */
.sliderCookieSelectorBig {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.sliderCookieSelectorBig:before {
    position: absolute;
    content: "";
    height: 40px;
    width: 40px;
    left: 5px;
    bottom: 5px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

.selectorCookieConfigBig:checked + .sliderCookieSelectorBig {
    background-color: var(--maincolor);
}

.selectorCookieConfigBig:focus + .sliderCookieSelectorBig {
    box-shadow: 0 0 1px var(--maincolor);
}

.selectorCookieConfigBig:checked + .sliderCookieSelectorBig:before {
    -webkit-transform: translateX(100px);
    -ms-transform: translateX(100px);
    transform: translateX(100px);
}

/* Rounded sliders */
.sliderCookieSelectorBig.round {
    border-radius: 34px;
}

.sliderCookieSelectorBig.round:before {
    border-radius: 50%;
}
